/*
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DBOOKMARKMOUNTEDINDICATORITEM_H
#define DBOOKMARKMOUNTEDINDICATORITEM_H


#include "dbookmarkitem.h"

class DBookmarkMountedIndicatorItem : public DBookmarkItem
{

    Q_OBJECT

public:
    explicit DBookmarkMountedIndicatorItem(DBookmarkItem* parentItem);
    ~DBookmarkMountedIndicatorItem();

    void init();
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);

signals:
    void unmounted();

public slots:

protected:
    void hoverEnterEvent(QGraphicsSceneHoverEvent *event) Q_DECL_OVERRIDE;
    void mouseReleaseEvent(QGraphicsSceneMouseEvent *event) Q_DECL_OVERRIDE;
    void contextMenuEvent(QGraphicsSceneContextMenuEvent *event) Q_DECL_OVERRIDE;

private:
    DBookmarkItem* m_parentItem = NULL;
};

#endif // DBOOKMARKMOUNTEDINDICATORITEM_H
