/*
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DSPLITTER_H
#define DSPLITTER_H

#include <QSplitter>
#include <QSplitterHandle>


class SplitterHandle: public QSplitterHandle
{
    Q_OBJECT

public:
    explicit SplitterHandle(Qt::Orientation orientation, QSplitter* parent);

protected:
    void enterEvent(QEvent* e);
};


class DSplitter : public QSplitter
{
    Q_OBJECT

public:
    DSplitter(Qt::Orientation orientation, QWidget* parent = 0);
    void moveSplitter(int pos, int index);

protected:
    QSplitterHandle* createHandle();
};

#endif // DSPLITTER_H
